> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a processing transaction

> Creates a transaction that will be used to process some files.



## OpenAPI

````yaml /openapi.json post /api/publicapi/v1/transactions
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions:
    post:
      tags:
        - Transactions
      summary: Creates a processing transaction
      description: Creates a transaction that will be used to process some files.
      operationId: CreateTransaction
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
      responses:
        '201':
          description: Transaction successfully created
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
        '400':
          description: Some parameters are invalid
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Skill with specified skillId not found or not published
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest:
      required:
        - skillId
      type: object
      properties:
        skillId:
          minLength: 1
          type: string
          description: Id of the skill to be applied to the files
        generateMobileInputLink:
          type: boolean
          description: >-
            Generate URL to run mobile input with one time auth token to inject
            image to specific transaction
          default: false
        registrationParameters:
          maxItems: 10
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter
          description: Additional registration parameters for transaction
          nullable: true
        skillParameters:
          maxItems: 10
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter
          description: Skill parameters for transaction
          nullable: true
      additionalProperties: false
      description: Transaction creation parameters
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult:
      required:
        - transactionId
      type: object
      properties:
        transactionId:
          type: string
          format: uuid
        mobileInputLink:
          type: string
          description: >-
            Mobile input link which contains one time authorization token for
            current transaction.

            Parameter is returned if generateMobileInputLink=true
          nullable: true
        isShortLink:
          type: boolean
          description: >-
            Is the mobile input link a short link referencing the origin mobile
            input link.
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter:
      required:
        - key
        - value
      type: object
      properties:
        key:
          minLength: 1
          type: string
          description: Key (name) of the parameter
        value:
          minLength: 1
          type: string
          description: Value of the parameter
      additionalProperties: false
      description: Transaction registration parameter
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter:
      required:
        - key
        - value
      type: object
      properties:
        key:
          minLength: 1
          type: string
          description: Key (name) of the parameter
        value:
          minLength: 1
          type: string
          description: Value of the parameter
      additionalProperties: false
      description: Skill parameter for transaction
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````